% FILENAME:    ahelp_rev11.m 
% DESCRIPTION: Double Pendulum

% VERSION 1 Calum Torrie Jan 01
% VERSION 2 Phil Willems RM20020913
% VERSION 3 by CIT on 29th January 2003  
% VERSION 4 by CIT on 4th February 2003 
% VERSION % by CIT on 10th FEB 2003
% VERSION 9 by NAR on March 5th 2003
% VERSION 10 by CIT May 7th 2003
% VERSION 11 by Chris Cueva Oct 2006
% VERSION 12 by Norna Robertson 1st June 2008

% TEXT FILE EXPLAINING THE VARIOUS FILES ASSOCIATED WITH THE
% DOUBLE PENDULUM MODEL.


1) % TO OBTAIN PARAMETERS AND FREQUENCIES ONLY: -

 a) View and edit parameters of double pendulum in 'doublep.m'.
 b) Run 'pend_ref_doublep.m' for a list of parameters and frequencies. 'pend_re_doublep.m' calls the spring
     matrix components from 'ssmake_doublep.m' and calculates the blade parameters using 'opt.m'. 
     Opt.m should only be used as a starting guide to a blade design.
        
2) % TO OBTAIN CLOSED LOOP TRANSFER FUNCTIONS, IMPULSE RESPONSE etc..:-

 a) Again view and edit parameters in 'doublep.m'.
 b) Open 'generate_simulink_doublep.m'. Here there a choice for either active damping or eddy current
     damping to be implemented. Set damper = 1 or 2  as required. There is a file called 
     'localdamp.m' which implements the appropriate damping calling 'local4ss.m' if required 
     (FOR ACTIVE DAMPING).
 c) Run 'generate_simulink_doublep.m'. This in turns calls the spring matrix components in 'ssmake_doublep.m' 
     and the appropriate damping set in 2b). 'ssmake_doublep.m' calls 'doublep.m'. 
 d) 'Localdamp.m' calls 'highpass.m', 'lowpass.m' and 'transdif.m'.
    
    
3) % USING THE MODEL

 a) In simulink_model_doublep under "Tools" RUN "Linear Analysis".
 b) In the "Control and Estimation Tools Manager"  RUN "Linearize Model".
 c) A reference of how the numbers are obtained for the gain triangle in simulink_model_doublep can be found at 
     the end of 'doublep.m'.
 d) A list of useful defaults for the user preferences can be found at the end of 'doublep.m'.


    
4) % EXTRA FILES, USED ONLY AS ONE PROGRESSES TO THE FINE DETAIL OF THE DESIGN

 a)  'mofi2.m' Is a script that calculates the mass and moment of inertia of a "T" shaped upper mass.
 b)  'blades_etc_RM.xls' can be used to calculate the following: -
  (i)   Upper and lower cantilever blade parameters. 
         (The calculation of the blade should again be treated with care, as this has to be used 
          in conjunction with an ANSYS model of a blade.)
  (ii)  Mass and moments of inertia of an intermediate mass with holes and flats. 
  (iii) Mass and moments of inertia of a test mass with flats.
  (iv)  Radius of wire to be used.

                
5) % FILES NO LONGER CALLED or REQUIRED 

a) 'Sculte.m' and 'transint.m' are left over from a more complicated control philosophy used in GEO 600.
b) 'Generate_local.m', 'local4s.m', 'pende.mdl' and 'local4smod.m' are left over from alternative methods
     used to implement the local control.

        
    
        