function [damper] = local(gain)
%local dev from Stuart Killbourn by KS 6/98 for triplep LIGO2 
%modified again for 30 kg triple pendulum 6/99 KAS.
%

% modfiy to reisntroduce scultete filters etc for steep roll-off. 
%NAR Nov 2006
%scale factor
%5 mm range  = <10V so >2000 V/m
shadow	= 2000;		%response of shadow sensor	(V/m)

[ag,bg,cg,dg] = zp2ss([],[],shadow*gain);	%(V/m)

fcut	= 9;
dcGain	= 1;

[alp,blp,clp,dlp] = lowpass(fcut,dcGain);


fpeak	= 15;
qp	= 5;
%fnotch	= 23;
fnotch = 30.7; %matches vert mode in OMC
qn	= 20;
dcGain	= 1.5;

[an3,bn3,cn3,dn3] = sculte(fpeak,qp,fnotch,qn,dcGain);

%[an,bn,cn,dn] = series(alp,blp,clp,dlp,an3,bn3,cn3,dn3);

current	= 50;		%volts to current conversion	(V/A) - ohms!
coilmag	= 5;		%coil magnet coupling		(N/A)

[ad,bd,cd,dd] = zp2ss([],[],(coilmag/current));	%(N/V)
[ahp,bhp,chp,dhp] = highpass(0.7,1);
%stuarts with modification for more hf phase margin
[ad1,bd1,cd1,dd1] = transdif(0.35,0.7,1);  %transdif1
[ad2,bd2,cd2,dd2] = transdif(1,9,1);  %transdif2

[al,bl,cl,dl] = series(ahp,bhp,chp,dhp,ad1,bd1,cd1,dd1); %highpass plus transdif1
[al,bl,cl,dl] = series(al,bl,cl,dl,ad2,bd2,cd2,dd2); %plus trasndif2
[al,bl,cl,dl] = series(al,bl,cl,dl,alp,blp,clp,dlp); %plus lowpass
[al,bl,cl,dl] = series(al,bl,cl,dl,ad,bd,cd,dd); %plus coil/magnet gain
[al,bl,cl,dl] = series(al,bl,cl,dl,ag,bg,cg,dg); %plus shadowsensor gain

[al,bl,cl,dl] = series(al,bl,cl,dl,an3,bn3,cn3,dn3); %plus sculte

damper = ss(al,bl,cl,dl);